
_CopyConst2Ram:

;Touch_Panel_Calibration.mbas,83 :: 		dim i as byte
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
;Touch_Panel_Calibration.mbas,84 :: 		i = 0
	CLRF        R4 
;Touch_Panel_Calibration.mbas,85 :: 		while src^ <> 0
L__CopyConst2Ram2:
	MOVF        FARG_CopyConst2Ram_src+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_CopyConst2Ram_src+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_CopyConst2Ram_src+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R1, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__CopyConst2Ram3
;Touch_Panel_Calibration.mbas,87 :: 		result[i] = src^
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R3, 0 
	MOVWF       R1 
	MOVF        R4, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_CopyConst2Ram_src+0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_CopyConst2Ram_src+1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_CopyConst2Ram_src+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Touch_Panel_Calibration.mbas,88 :: 		inc(src)
	MOVLW       1
	ADDWF       FARG_CopyConst2Ram_src+0, 1 
	MOVLW       0
	ADDWFC      FARG_CopyConst2Ram_src+1, 1 
	ADDWFC      FARG_CopyConst2Ram_src+2, 1 
;Touch_Panel_Calibration.mbas,89 :: 		inc(i)
	INCF        R4, 1 
;Touch_Panel_Calibration.mbas,90 :: 		wend
	GOTO        L__CopyConst2Ram2
L__CopyConst2Ram3:
;Touch_Panel_Calibration.mbas,91 :: 		result[i] = 0
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R3, 0 
	MOVWF       R1 
	MOVF        R4, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,92 :: 		end sub
L_end_CopyConst2Ram:
	RETURN      0
; end of _CopyConst2Ram

_Initialize:

;Touch_Panel_Calibration.mbas,94 :: 		sub procedure Initialize()
;Touch_Panel_Calibration.mbas,95 :: 		ANSELA = 3                  ' Configure AN0 and AN1 pins as analog
	MOVLW       3
	MOVWF       ANSELA+0 
;Touch_Panel_Calibration.mbas,96 :: 		ANSELB = 0                  ' Configure PORTB pins as digital
	CLRF        ANSELB+0 
;Touch_Panel_Calibration.mbas,97 :: 		ANSELC = 0                  ' Configure PORTC pins as digital
	CLRF        ANSELC+0 
;Touch_Panel_Calibration.mbas,98 :: 		ANSELD = 0                  ' Configure PORTD pins as digital
	CLRF        ANSELD+0 
;Touch_Panel_Calibration.mbas,99 :: 		TRISA  = 3                  ' Configure AN0 and AN1 pins as input
	MOVLW       3
	MOVWF       TRISA+0 
;Touch_Panel_Calibration.mbas,101 :: 		Glcd_Init()                 ' Initialize GLCD
	CALL        _Glcd_Init+0, 0
;Touch_Panel_Calibration.mbas,102 :: 		Glcd_Fill(0)                ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,103 :: 		ADC_Init()                  ' Initialize ADC
	CALL        _ADC_Init+0, 0
;Touch_Panel_Calibration.mbas,104 :: 		TP_Init(128, 64, 0, 1)      ' Initialize touch panel
	MOVLW       128
	MOVWF       FARG_TP_Init_display_width+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_width+1 
	MOVLW       64
	MOVWF       FARG_TP_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_height+1 
	CLRF        FARG_TP_Init_readX_ChNo+0 
	MOVLW       1
	MOVWF       FARG_TP_Init_readY_ChNo+0 
	CALL        _TP_Init+0, 0
;Touch_Panel_Calibration.mbas,105 :: 		TP_Set_ADC_Threshold(900)   ' Set touch panel ADC threshold
	MOVLW       132
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+0 
	MOVLW       3
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+1 
	CALL        _TP_Set_ADC_Threshold+0, 0
;Touch_Panel_Calibration.mbas,106 :: 		end sub
L_end_Initialize:
	RETURN      0
; end of _Initialize

_Calibrate:

;Touch_Panel_Calibration.mbas,108 :: 		sub procedure Calibrate()
;Touch_Panel_Calibration.mbas,109 :: 		Glcd_Dot(0,63,1)                                       ' Draw bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration.mbas,110 :: 		Glcd_Write_Text("TOUCH BOTTOM LEFT",12,3,1)
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       67
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       66
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       77
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       76
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       69
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       70
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,111 :: 		TP_Calibrate_Bottom_Left()                             ' Calibration of bottom left corner
	CALL        _TP_Calibrate_Bottom_Left+0, 0
;Touch_Panel_Calibration.mbas,112 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__Calibrate8:
	DECFSZ      R13, 1, 1
	BRA         L__Calibrate8
	DECFSZ      R12, 1, 1
	BRA         L__Calibrate8
	DECFSZ      R11, 1, 1
	BRA         L__Calibrate8
	NOP
;Touch_Panel_Calibration.mbas,113 :: 		Glcd_Dot(0,63,0)                                       ' Clear bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	CLRF        FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration.mbas,114 :: 		Glcd_Dot(127,0,1)                                      ' Draw upper right dot
	MOVLW       127
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	CLRF        FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration.mbas,115 :: 		Glcd_Write_Text("                 ",12,3,1)
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,116 :: 		Glcd_Write_Text("TOUCH UPPER RIGHT",12,4,1)
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       67
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       80
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       80
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       69
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       82
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       82
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       73
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       71
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,117 :: 		TP_Calibrate_Upper_Right()                             ' Calibration of upper right corner
	CALL        _TP_Calibrate_Upper_Right+0, 0
;Touch_Panel_Calibration.mbas,118 :: 		Glcd_Write_Text("                 ",12,3,1)
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,119 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__Calibrate9:
	DECFSZ      R13, 1, 1
	BRA         L__Calibrate9
	DECFSZ      R12, 1, 1
	BRA         L__Calibrate9
	DECFSZ      R11, 1, 1
	BRA         L__Calibrate9
	NOP
;Touch_Panel_Calibration.mbas,120 :: 		end sub
L_end_Calibrate:
	RETURN      0
; end of _Calibrate

_Calculate_TP_Check_Sum:

;Touch_Panel_Calibration.mbas,123 :: 		sub procedure Calculate_TP_Check_Sum
;Touch_Panel_Calibration.mbas,124 :: 		Chk_Sum =0x5A                                        'Seed the initial value
	MOVLW       90
	MOVWF       _Chk_Sum+0 
;Touch_Panel_Calibration.mbas,125 :: 		for i = 0 to 7
	CLRF        _i+0 
L__Calculate_TP_Check_Sum12:
;Touch_Panel_Calibration.mbas,126 :: 		Chk_Sum = Chk_Sum xor EEPROM_Read (i)             'Xor in the Calibration value
	MOVF        _i+0, 0 
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	XORWF       _Chk_Sum+0, 1 
;Touch_Panel_Calibration.mbas,127 :: 		Chk_Sum = Chk_Sum << 1
	RLCF        _Chk_Sum+0, 1 
	BCF         _Chk_Sum+0, 0 
;Touch_Panel_Calibration.mbas,128 :: 		Delay_ms (20)                            'Rotate left to keep it honest
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__Calculate_TP_Check_Sum16:
	DECFSZ      R13, 1, 1
	BRA         L__Calculate_TP_Check_Sum16
	DECFSZ      R12, 1, 1
	BRA         L__Calculate_TP_Check_Sum16
	DECFSZ      R11, 1, 1
	BRA         L__Calculate_TP_Check_Sum16
	NOP
;Touch_Panel_Calibration.mbas,129 :: 		next i
	MOVF        _i+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L__Calculate_TP_Check_Sum15
	INCF        _i+0, 1 
	GOTO        L__Calculate_TP_Check_Sum12
L__Calculate_TP_Check_Sum15:
;Touch_Panel_Calibration.mbas,130 :: 		end sub
L_end_Calculate_TP_Check_Sum:
	RETURN      0
; end of _Calculate_TP_Check_Sum

_main:

;Touch_Panel_Calibration.mbas,131 :: 		main:
;Touch_Panel_Calibration.mbas,132 :: 		Initialize()                                           'Set up the GLCD and ADC Hardware
	CALL        _Initialize+0, 0
;Touch_Panel_Calibration.mbas,134 :: 		x_min_msg = "X min:"                                   'and the display messages
	MOVLW       88
	MOVWF       _x_min_msg+0 
	MOVLW       32
	MOVWF       _x_min_msg+1 
	MOVLW       109
	MOVWF       _x_min_msg+2 
	MOVLW       105
	MOVWF       _x_min_msg+3 
	MOVLW       110
	MOVWF       _x_min_msg+4 
	MOVLW       58
	MOVWF       _x_min_msg+5 
	CLRF        _x_min_msg+6 
;Touch_Panel_Calibration.mbas,135 :: 		y_min_msg = "Y min:"
	MOVLW       89
	MOVWF       _y_min_msg+0 
	MOVLW       32
	MOVWF       _y_min_msg+1 
	MOVLW       109
	MOVWF       _y_min_msg+2 
	MOVLW       105
	MOVWF       _y_min_msg+3 
	MOVLW       110
	MOVWF       _y_min_msg+4 
	MOVLW       58
	MOVWF       _y_min_msg+5 
	CLRF        _y_min_msg+6 
;Touch_Panel_Calibration.mbas,136 :: 		x_max_msg = "X max:"
	MOVLW       88
	MOVWF       _x_max_msg+0 
	MOVLW       32
	MOVWF       _x_max_msg+1 
	MOVLW       109
	MOVWF       _x_max_msg+2 
	MOVLW       97
	MOVWF       _x_max_msg+3 
	MOVLW       120
	MOVWF       _x_max_msg+4 
	MOVLW       58
	MOVWF       _x_max_msg+5 
	CLRF        _x_max_msg+6 
;Touch_Panel_Calibration.mbas,137 :: 		y_max_msg = "Y max:"
	MOVLW       89
	MOVWF       _y_max_msg+0 
	MOVLW       32
	MOVWF       _y_max_msg+1 
	MOVLW       109
	MOVWF       _y_max_msg+2 
	MOVLW       97
	MOVWF       _y_max_msg+3 
	MOVLW       120
	MOVWF       _y_max_msg+4 
	MOVLW       58
	MOVWF       _y_max_msg+5 
	CLRF        _y_max_msg+6 
;Touch_Panel_Calibration.mbas,139 :: 		Main01:
L__main_main01:
;Touch_Panel_Calibration.mbas,142 :: 		Hi (X_Min) = EEPROM_Read($00)
	CLRF        FARG_Eeprom_Read_address+0 
	CLRF        FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+1 
;Touch_Panel_Calibration.mbas,143 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main19:
	DECFSZ      R13, 1, 1
	BRA         L__main19
	DECFSZ      R12, 1, 1
	BRA         L__main19
	DECFSZ      R11, 1, 1
	BRA         L__main19
	NOP
;Touch_Panel_Calibration.mbas,144 :: 		Lo (X_Min) = EEPROM_Read($01)
	MOVLW       1
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+0 
;Touch_Panel_Calibration.mbas,145 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main20:
	DECFSZ      R13, 1, 1
	BRA         L__main20
	DECFSZ      R12, 1, 1
	BRA         L__main20
	DECFSZ      R11, 1, 1
	BRA         L__main20
	NOP
;Touch_Panel_Calibration.mbas,146 :: 		Hi (X_Max) = EEPROM_Read($02)
	MOVLW       2
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+1 
;Touch_Panel_Calibration.mbas,147 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main21:
	DECFSZ      R13, 1, 1
	BRA         L__main21
	DECFSZ      R12, 1, 1
	BRA         L__main21
	DECFSZ      R11, 1, 1
	BRA         L__main21
	NOP
;Touch_Panel_Calibration.mbas,148 :: 		Lo (X_Max) = EEPROM_Read($03)
	MOVLW       3
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+0 
;Touch_Panel_Calibration.mbas,149 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main22:
	DECFSZ      R13, 1, 1
	BRA         L__main22
	DECFSZ      R12, 1, 1
	BRA         L__main22
	DECFSZ      R11, 1, 1
	BRA         L__main22
	NOP
;Touch_Panel_Calibration.mbas,150 :: 		Hi (Y_Min) = EEPROM_Read($04)
	MOVLW       4
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+1 
;Touch_Panel_Calibration.mbas,151 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main23:
	DECFSZ      R13, 1, 1
	BRA         L__main23
	DECFSZ      R12, 1, 1
	BRA         L__main23
	DECFSZ      R11, 1, 1
	BRA         L__main23
	NOP
;Touch_Panel_Calibration.mbas,152 :: 		Lo (Y_Min) = EEPROM_Read($05)
	MOVLW       5
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+0 
;Touch_Panel_Calibration.mbas,153 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main24:
	DECFSZ      R13, 1, 1
	BRA         L__main24
	DECFSZ      R12, 1, 1
	BRA         L__main24
	DECFSZ      R11, 1, 1
	BRA         L__main24
	NOP
;Touch_Panel_Calibration.mbas,154 :: 		Hi (Y_Max) = EEPROM_Read($06)
	MOVLW       6
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+1 
;Touch_Panel_Calibration.mbas,155 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main25:
	DECFSZ      R13, 1, 1
	BRA         L__main25
	DECFSZ      R12, 1, 1
	BRA         L__main25
	DECFSZ      R11, 1, 1
	BRA         L__main25
	NOP
;Touch_Panel_Calibration.mbas,156 :: 		Lo (Y_Max) = EEPROM_Read($07)
	MOVLW       7
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+0 
;Touch_Panel_Calibration.mbas,157 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main26:
	DECFSZ      R13, 1, 1
	BRA         L__main26
	DECFSZ      R12, 1, 1
	BRA         L__main26
	DECFSZ      R11, 1, 1
	BRA         L__main26
	NOP
;Touch_Panel_Calibration.mbas,159 :: 		Calculate_TP_Check_Sum                          'Check Sum in Chk_Sum
	CALL        _Calculate_TP_Check_Sum+0, 0
;Touch_Panel_Calibration.mbas,161 :: 		if  EEPROM_Read ($08) <> Chk_Sum                  'Does the EEPROM match?
	MOVLW       8
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	XORWF       _Chk_Sum+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__main28
;Touch_Panel_Calibration.mbas,163 :: 		Glcd_Fill(0)                             ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,164 :: 		msg = CopyConst2Ram(@msg4)               '"CALIBRATION"
	MOVLW       _msg4+0
	MOVWF       FARG_CopyConst2Ram_src+0 
	MOVLW       hi_addr(_msg4+0)
	MOVWF       FARG_CopyConst2Ram_src+1 
	MOVLW       higher_addr(_msg4+0)
	MOVWF       FARG_CopyConst2Ram_src+2 
	MOVLW       FLOC__main+0
	MOVWF       R0 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       R1 
	CALL        _CopyConst2Ram+0, 0
	MOVLW       _msg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FSR1H 
	MOVLW       FLOC__main+0
	MOVWF       FSR2 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,165 :: 		Glcd_Write_Text(msg,32,3,1)
	MOVLW       _msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,166 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main30:
	DECFSZ      R13, 1, 1
	BRA         L__main30
	DECFSZ      R12, 1, 1
	BRA         L__main30
	DECFSZ      R11, 1, 1
	BRA         L__main30
	NOP
;Touch_Panel_Calibration.mbas,167 :: 		Calibrate()                              'Get new constants
	CALL        _Calibrate+0, 0
;Touch_Panel_Calibration.mbas,169 :: 		TP_Get_Calibration_Consts(@x_min, @x_max, @y_min, @y_max)    ' Get the new calibration constants
	MOVLW       _x_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+0 
	MOVLW       hi_addr(_x_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+1 
	MOVLW       _x_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+0 
	MOVLW       hi_addr(_x_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+1 
	MOVLW       _y_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+0 
	MOVLW       hi_addr(_y_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+1 
	MOVLW       _y_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+0 
	MOVLW       hi_addr(_y_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+1 
	CALL        _TP_Get_Calibration_Consts+0, 0
;Touch_Panel_Calibration.mbas,172 :: 		EEPROM_Write($00, Hi (X_Min))
	CLRF        FARG_Eeprom_Write_address+0 
	CLRF        FARG_Eeprom_Write_address+1 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,173 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main31:
	DECFSZ      R13, 1, 1
	BRA         L__main31
	DECFSZ      R12, 1, 1
	BRA         L__main31
	DECFSZ      R11, 1, 1
	BRA         L__main31
	NOP
;Touch_Panel_Calibration.mbas,174 :: 		EEPROM_Write($01, Lo (X_Min))
	MOVLW       1
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,175 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main32:
	DECFSZ      R13, 1, 1
	BRA         L__main32
	DECFSZ      R12, 1, 1
	BRA         L__main32
	DECFSZ      R11, 1, 1
	BRA         L__main32
	NOP
;Touch_Panel_Calibration.mbas,176 :: 		EEPROM_Write($02, Hi (X_Max))
	MOVLW       2
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,177 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main33:
	DECFSZ      R13, 1, 1
	BRA         L__main33
	DECFSZ      R12, 1, 1
	BRA         L__main33
	DECFSZ      R11, 1, 1
	BRA         L__main33
	NOP
;Touch_Panel_Calibration.mbas,178 :: 		EEPROM_Write($03, Lo (X_Max))
	MOVLW       3
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,179 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main34:
	DECFSZ      R13, 1, 1
	BRA         L__main34
	DECFSZ      R12, 1, 1
	BRA         L__main34
	DECFSZ      R11, 1, 1
	BRA         L__main34
	NOP
;Touch_Panel_Calibration.mbas,181 :: 		EEPROM_Write($04, Hi (Y_Min))
	MOVLW       4
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,182 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main35:
	DECFSZ      R13, 1, 1
	BRA         L__main35
	DECFSZ      R12, 1, 1
	BRA         L__main35
	DECFSZ      R11, 1, 1
	BRA         L__main35
	NOP
;Touch_Panel_Calibration.mbas,183 :: 		EEPROM_Write($05, Lo (Y_Min))
	MOVLW       5
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,184 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main36:
	DECFSZ      R13, 1, 1
	BRA         L__main36
	DECFSZ      R12, 1, 1
	BRA         L__main36
	DECFSZ      R11, 1, 1
	BRA         L__main36
	NOP
;Touch_Panel_Calibration.mbas,185 :: 		EEPROM_Write($06, Hi (Y_Max))
	MOVLW       6
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,186 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main37:
	DECFSZ      R13, 1, 1
	BRA         L__main37
	DECFSZ      R12, 1, 1
	BRA         L__main37
	DECFSZ      R11, 1, 1
	BRA         L__main37
	NOP
;Touch_Panel_Calibration.mbas,187 :: 		EEPROM_Write($07, Lo (Y_Max))
	MOVLW       7
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,188 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main38:
	DECFSZ      R13, 1, 1
	BRA         L__main38
	DECFSZ      R12, 1, 1
	BRA         L__main38
	DECFSZ      R11, 1, 1
	BRA         L__main38
	NOP
;Touch_Panel_Calibration.mbas,189 :: 		Calculate_TP_Check_Sum                         'Compute the new Check Sum
	CALL        _Calculate_TP_Check_Sum+0, 0
;Touch_Panel_Calibration.mbas,190 :: 		EEProm_Write($08,Chk_Sum)
	MOVLW       8
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Touch_Panel_Calibration.mbas,191 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main39:
	DECFSZ      R13, 1, 1
	BRA         L__main39
	DECFSZ      R12, 1, 1
	BRA         L__main39
	DECFSZ      R11, 1, 1
	BRA         L__main39
	NOP
L__main28:
;Touch_Panel_Calibration.mbas,193 :: 		TP_Set_Calibration_Consts( x_min, x_max, y_min, y_max) 'And tell the TP Library routine
	MOVF        _x_min+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_min+0 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_min+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_max+0 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_max+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_min+0 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_min+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_max+0 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_max+1 
	CALL        _TP_Set_Calibration_Consts+0, 0
;Touch_Panel_Calibration.mbas,196 :: 		WordToStrWithZeros( x_min, x_min_val)
	MOVF        _x_min+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _x_min_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_x_min_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,197 :: 		WordToStrWithZeros( x_max, x_max_val)
	MOVF        _x_max+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _x_max_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_x_max_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,198 :: 		WordToStrWithZeros( y_min, y_min_val)
	MOVF        _y_min+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _y_min_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_y_min_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,199 :: 		WordToStrWithZeros( y_max, y_max_val)
	MOVF        _y_max+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _y_max_val+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_y_max_val+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Touch_Panel_Calibration.mbas,203 :: 		Glcd_Fill(0)                                            ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,204 :: 		msg = CopyConst2Ram(@msg5)                              '"Calibration constants"
	MOVLW       _msg5+0
	MOVWF       FARG_CopyConst2Ram_src+0 
	MOVLW       hi_addr(_msg5+0)
	MOVWF       FARG_CopyConst2Ram_src+1 
	MOVLW       higher_addr(_msg5+0)
	MOVWF       FARG_CopyConst2Ram_src+2 
	MOVLW       FLOC__main+0
	MOVWF       R0 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       R1 
	CALL        _CopyConst2Ram+0, 0
	MOVLW       _msg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FSR1H 
	MOVLW       FLOC__main+0
	MOVWF       FSR2 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,205 :: 		Glcd_Write_Text(msg,1,1,1)
	MOVLW       _msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,206 :: 		Glcd_Write_Text(x_min_msg,1,3,1)                        ' Write messages on GLCD
	MOVLW       _x_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,207 :: 		Glcd_Write_Text(x_max_msg,1,4,1)
	MOVLW       _x_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,208 :: 		Glcd_Write_Text(y_min_msg,1,5,1)
	MOVLW       _y_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,209 :: 		Glcd_Write_Text(y_max_msg,1,6,1)
	MOVLW       _y_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,211 :: 		Glcd_Write_Text(x_min_val,50,3,1)                       ' Write calibration constants values on GLCD
	MOVLW       _x_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,212 :: 		Glcd_Write_Text(x_max_val,50,4,1)
	MOVLW       _x_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,213 :: 		Glcd_Write_Text(y_min_val,50,5,1)
	MOVLW       _y_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,214 :: 		Glcd_Write_Text(y_max_val,50,6,1)
	MOVLW       _y_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,215 :: 		Glcd_Write_text ("Chk_Sum:                ",1,7,1)
	MOVLW       67
	MOVWF       ?LocalText_main+0 
	MOVLW       104
	MOVWF       ?LocalText_main+1 
	MOVLW       107
	MOVWF       ?LocalText_main+2 
	MOVLW       95
	MOVWF       ?LocalText_main+3 
	MOVLW       83
	MOVWF       ?LocalText_main+4 
	MOVLW       117
	MOVWF       ?LocalText_main+5 
	MOVLW       109
	MOVWF       ?LocalText_main+6 
	MOVLW       58
	MOVWF       ?LocalText_main+7 
	MOVLW       32
	MOVWF       ?LocalText_main+8 
	MOVLW       32
	MOVWF       ?LocalText_main+9 
	MOVLW       32
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       32
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       32
	MOVWF       ?LocalText_main+14 
	MOVLW       32
	MOVWF       ?LocalText_main+15 
	MOVLW       32
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	MOVLW       32
	MOVWF       ?LocalText_main+20 
	MOVLW       32
	MOVWF       ?LocalText_main+21 
	MOVLW       32
	MOVWF       ?LocalText_main+22 
	MOVLW       32
	MOVWF       ?LocalText_main+23 
	CLRF        ?LocalText_main+24 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,216 :: 		ByteToStr (Chk_Sum, CKS_Text)
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _CKS_Text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Touch_Panel_Calibration.mbas,217 :: 		GLCD_Write_Text (CKS_Text, 62, 7 ,1)
	MOVLW       _CKS_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       62
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,219 :: 		delay_Ms (5000)                                         'Give them time to read the data
	MOVLW       2
	MOVWF       R10, 0
	MOVLW       150
	MOVWF       R11, 0
	MOVLW       216
	MOVWF       R12, 0
	MOVLW       8
	MOVWF       R13, 0
L__main40:
	DECFSZ      R13, 1, 1
	BRA         L__main40
	DECFSZ      R12, 1, 1
	BRA         L__main40
	DECFSZ      R11, 1, 1
	BRA         L__main40
	DECFSZ      R10, 1, 1
	BRA         L__main40
	NOP
;Touch_Panel_Calibration.mbas,220 :: 		Hi (X_Min) = EEPROM_Read($00)                           'Get the EEPROM Data
	CLRF        FARG_Eeprom_Read_address+0 
	CLRF        FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+1 
;Touch_Panel_Calibration.mbas,221 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main41:
	DECFSZ      R13, 1, 1
	BRA         L__main41
	DECFSZ      R12, 1, 1
	BRA         L__main41
	DECFSZ      R11, 1, 1
	BRA         L__main41
	NOP
;Touch_Panel_Calibration.mbas,222 :: 		Lo (X_Min) = EEPROM_Read($01)
	MOVLW       1
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+0 
;Touch_Panel_Calibration.mbas,223 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main42:
	DECFSZ      R13, 1, 1
	BRA         L__main42
	DECFSZ      R12, 1, 1
	BRA         L__main42
	DECFSZ      R11, 1, 1
	BRA         L__main42
	NOP
;Touch_Panel_Calibration.mbas,224 :: 		Hi (X_Max) = EEPROM_Read($02)
	MOVLW       2
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+1 
;Touch_Panel_Calibration.mbas,225 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main43:
	DECFSZ      R13, 1, 1
	BRA         L__main43
	DECFSZ      R12, 1, 1
	BRA         L__main43
	DECFSZ      R11, 1, 1
	BRA         L__main43
	NOP
;Touch_Panel_Calibration.mbas,226 :: 		Lo (X_Max) = EEPROM_Read($03)
	MOVLW       3
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+0 
;Touch_Panel_Calibration.mbas,227 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main44:
	DECFSZ      R13, 1, 1
	BRA         L__main44
	DECFSZ      R12, 1, 1
	BRA         L__main44
	DECFSZ      R11, 1, 1
	BRA         L__main44
	NOP
;Touch_Panel_Calibration.mbas,228 :: 		Hi (Y_Min) = EEPROM_Read($04)
	MOVLW       4
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+1 
;Touch_Panel_Calibration.mbas,229 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main45:
	DECFSZ      R13, 1, 1
	BRA         L__main45
	DECFSZ      R12, 1, 1
	BRA         L__main45
	DECFSZ      R11, 1, 1
	BRA         L__main45
	NOP
;Touch_Panel_Calibration.mbas,230 :: 		Lo (Y_Min) = EEPROM_Read($05)
	MOVLW       5
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+0 
;Touch_Panel_Calibration.mbas,231 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main46:
	DECFSZ      R13, 1, 1
	BRA         L__main46
	DECFSZ      R12, 1, 1
	BRA         L__main46
	DECFSZ      R11, 1, 1
	BRA         L__main46
	NOP
;Touch_Panel_Calibration.mbas,232 :: 		Hi (Y_Max) = EEPROM_Read($06)
	MOVLW       6
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+1 
;Touch_Panel_Calibration.mbas,233 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main47:
	DECFSZ      R13, 1, 1
	BRA         L__main47
	DECFSZ      R12, 1, 1
	BRA         L__main47
	DECFSZ      R11, 1, 1
	BRA         L__main47
	NOP
;Touch_Panel_Calibration.mbas,234 :: 		Lo (Y_Max) = EEPROM_Read($07)
	MOVLW       7
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+0 
;Touch_Panel_Calibration.mbas,235 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__main48:
	DECFSZ      R13, 1, 1
	BRA         L__main48
	DECFSZ      R12, 1, 1
	BRA         L__main48
	DECFSZ      R11, 1, 1
	BRA         L__main48
	NOP
;Touch_Panel_Calibration.mbas,236 :: 		Chk_Sum    = EEPROM_Read($08)
	MOVLW       8
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Chk_Sum+0 
;Touch_Panel_Calibration.mbas,238 :: 		Glcd_Fill(0)                                            ' Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration.mbas,239 :: 		msg = CopyConst2Ram(@msg6)                              '"    From EE-Prom     "
	MOVLW       _msg6+0
	MOVWF       FARG_CopyConst2Ram_src+0 
	MOVLW       hi_addr(_msg6+0)
	MOVWF       FARG_CopyConst2Ram_src+1 
	MOVLW       higher_addr(_msg6+0)
	MOVWF       FARG_CopyConst2Ram_src+2 
	MOVLW       FLOC__main+0
	MOVWF       R0 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       R1 
	CALL        _CopyConst2Ram+0, 0
	MOVLW       _msg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FSR1H 
	MOVLW       FLOC__main+0
	MOVWF       FSR2 
	MOVLW       hi_addr(FLOC__main+0)
	MOVWF       FSR2H 
	CALL        ___CS2S+0, 0
	CLRF        POSTINC1+0 
;Touch_Panel_Calibration.mbas,240 :: 		Glcd_Write_Text(msg,1,1,1)
	MOVLW       _msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,241 :: 		Glcd_Write_Text(x_min_msg,1,3,1)                        'Display the Text
	MOVLW       _x_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,242 :: 		Glcd_Write_Text(x_max_msg,1,4,1)
	MOVLW       _x_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,243 :: 		Glcd_Write_Text(y_min_msg,1,5,1)
	MOVLW       _y_min_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,244 :: 		Glcd_Write_Text(y_max_msg,1,6,1)
	MOVLW       _y_max_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,246 :: 		Glcd_Write_Text(x_min_val,50,3,1)                       ' Write calibration constants values on GLCD
	MOVLW       _x_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,247 :: 		Glcd_Write_Text(x_max_val,50,4,1)
	MOVLW       _x_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_x_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,248 :: 		Glcd_Write_Text(y_min_val,50,5,1)
	MOVLW       _y_min_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_min_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,249 :: 		Glcd_Write_Text(y_max_val,50,6,1)
	MOVLW       _y_max_val+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_y_max_val+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,250 :: 		Glcd_Write_text ("Chk_Sum:                ",1,7,1)
	MOVLW       67
	MOVWF       ?LocalText_main+0 
	MOVLW       104
	MOVWF       ?LocalText_main+1 
	MOVLW       107
	MOVWF       ?LocalText_main+2 
	MOVLW       95
	MOVWF       ?LocalText_main+3 
	MOVLW       83
	MOVWF       ?LocalText_main+4 
	MOVLW       117
	MOVWF       ?LocalText_main+5 
	MOVLW       109
	MOVWF       ?LocalText_main+6 
	MOVLW       58
	MOVWF       ?LocalText_main+7 
	MOVLW       32
	MOVWF       ?LocalText_main+8 
	MOVLW       32
	MOVWF       ?LocalText_main+9 
	MOVLW       32
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       32
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       32
	MOVWF       ?LocalText_main+14 
	MOVLW       32
	MOVWF       ?LocalText_main+15 
	MOVLW       32
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	MOVLW       32
	MOVWF       ?LocalText_main+20 
	MOVLW       32
	MOVWF       ?LocalText_main+21 
	MOVLW       32
	MOVWF       ?LocalText_main+22 
	MOVLW       32
	MOVWF       ?LocalText_main+23 
	CLRF        ?LocalText_main+24 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,251 :: 		ByteToStr (Chk_Sum, CKS_Text)
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _CKS_Text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Touch_Panel_Calibration.mbas,252 :: 		GLCD_Write_Text (CKS_Text, 62, 7 ,1)
	MOVLW       _CKS_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_CKS_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       62
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration.mbas,253 :: 		delay_Ms (5000)                                         'Time to read the data
	MOVLW       2
	MOVWF       R10, 0
	MOVLW       150
	MOVWF       R11, 0
	MOVLW       216
	MOVWF       R12, 0
	MOVLW       8
	MOVWF       R13, 0
L__main49:
	DECFSZ      R13, 1, 1
	BRA         L__main49
	DECFSZ      R12, 1, 1
	BRA         L__main49
	DECFSZ      R11, 1, 1
	BRA         L__main49
	DECFSZ      R10, 1, 1
	BRA         L__main49
	NOP
;Touch_Panel_Calibration.mbas,255 :: 		goto Main01                                             'Loop and do it again
	GOTO        L__main_main01
L_end_main:
	GOTO        $+0
; end of _main
